%def_without icc
%def_with otp_debug
%def_enable threads
%def_enable smp
%def_enable kernel_poll
%def_enable hipe
%def_enable megaco_flex_scanner_lineno
%def_with ssl
%def_with ssl_zlib
%def_with java
#Can build jinterface with gcj or Sun java
%def_enable gcj
%def_disable sctp
%def_enable tsp
#Can't build dialyzer with --enable-elib-malloc
%def_disable elib_malloc
%def_enable fixalloc
%def_enable clock_gettime
%def_enable hybrid_heap
%def_disable lock_checking
%def_with gmp

%def_disable gnu_ld
%def_without minimal_src
#----------------------------------------------------------------------
%define set_disable() %{expand:%%force_disable %{1}} %{expand:%%undefine _enable_%{1}}
%define set_without() %{expand:%%force_without %{1}} %{expand:%%undefine _with_%{1}}
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}
%define subst_with_to() %{expand:%%{?_with_%{1}:--with-%{2}}} %{expand:%%{?_without_%{1}:--without-%{2}}}
%{?_enable_smp_io_thread:%set_disable port_tasks}

%ifnarch %ix86 x86_64
%set_without icc
%endif

%define Name Erlang
Name: erlang
%define ver R12B
%define subver 3
Version: %ver.%subver
Release: alt0.7
Summary: A programming language developed by Ericsson
License: EPL
Group: Development/Other
URL: http://www.%name.org
Source: otp%{?_with_minimal_src:_minimal}_src_%ver-%subver.tar
Patch0: otp_src_R12B-1-alt-arch.patch
Patch1: otp_src_R12B-3-ffi.patch
Patch2: otp-sslrpath.patch
Requires: %name-otp = %version-%release

# Automatically added by buildreq on Tue Jun 05 2007 (-bi)
#BuildRequires: flex java-devel libgmp-devel libncurses-devel libssl-devel libunixODBC-devel openssl symlinks tcl

BuildRequires: gcc-c++ flex libncurses-devel libunixODBC-devel symlinks
BuildRequires: zlib-devel libgd2-devel sh libffi-devel
BuildRequires: rpm-build-%name >= 0.3.1
%{?_with_icc:BuildRequires: icc}
%if_with java
%if_enabled gcj
BuildRequires: jdkgcj
%else
BuildRequires: /proc java-devel
%endif
%endif
%{?_with_ssl:BuildRequires: libssl-devel openssl}
%{?_with_gmp:BuildRequires: libgmp-devel}

%description
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.


%package megaco
Summary: H.248 support for %Name
Group: Development/Other
Requires: %name = %version-%release
Requires: %name-megaco-modules = %version-%release

%description megaco
Megaco (aka H.248) is a signalling protocol used in VoIP networks.
This package adds support for Megaco to your %Name installation.


%package megaco-modules
Summary: H.248 support for %Name - modules
Group: Development/Other
BuildArch: noarch
Requires: %name-megaco = %version-%release
Requires: %name-visual-modules = %version-%release

%description megaco-modules
Megaco (aka H.248) is a signalling protocol used in VoIP networks.
This package contains standard modules for Megaco.


%package visual
Summary: Standart visual applications for %Name
Group: Development/Other
BuildArch: noarch
Requires: %name = %version-%release
Requires: %name-visual-modules = %version-%release
Requires: tk

%description visual
Standard visual applications for %Name programming language.


%package visual-modules
Summary: Standart visual applications for %Name - modules
Group: Development/Other
BuildArch: noarch
Requires: %name-visual = %version-%release

%description visual-modules
Standard visual applications for %Name programming language.
This package contains standard modules for visual applications.


%package odbc
Summary: ODBC support for %Name
Group: Development/Other
Requires: %name = %version-%release
Requires: %name-odbc-modules = %version-%release

%description odbc
ODBC support for %Name programming language.


%package odbc-modules
Summary: ODBC support for %Name - modules
Group: Development/Other
BuildArch: noarch
Requires: %name-odbc = %version-%release

%description odbc-modules
ODBC support for %Name programming language.
This package contains standard modules for odbc.


%package common_test
Summary: A portable framework for automatic testing %Name applications
Group: Development/Other
Requires: %name = %version-%release
Requires: %name-common_test-modules = %version-%release

%description common_test
A portable framework for automatic testing %Name applications.


%package common_test-modules
Summary: A portable framework for automatic testing %Name applications - modules
Group: Development/Other
BuildArch: noarch
Requires: %name-common_test = %version-%release

%description common_test-modules
A portable framework for automatic testing %Name applications.
This package contains standard modules for common_test.


%package docbuilder
Summary: Tool for generating HTML documentation for %Name applications
Group: Development/Other
BuildArch: noarch
Requires: %name = %version-%release
Requires: %name-docbuilder-modules = %version-%release

%description docbuilder
Tool for generating HTML documentation for %Name applications.


%package docbuilder-modules
Summary: Tool for generating HTML documentation for %Name applications - modules
Group: Development/Other
BuildArch: noarch
Requires: %name-docbuilder = %version-%release

%description docbuilder-modules
Tool for generating HTML documentation for %Name applications.
This package contains standard modules for docbuilder.


%package examples
Summary: OTP examples
Group: Development/Other
BuildArch: noarch
Requires: %name = %version-%release

%description examples
OTP examples.


%package otp
Summary: Standard OTP
Group: Development/Other
Provides: otp = %version-%release
Requires: %name = %version-%release
Requires: %name-otp-modules = %version-%release

%description otp
Standard OTP.


%package otp-modules
Summary: Standard OTP modules
Group: Development/Other
BuildArch: noarch
Provides: otp-modules = %version-%release
Requires: %name-otp = %version-%release

%description otp-modules
Standard OTP modules.


%package jinterface
Summary: %Name's level interface to Java
Group: Development/Other
BuildArch: noarch
Requires: %name-otp = %version-%release

%description jinterface
%Name's level interface to Java.


%package full
Summary: Full %Name/OTP package
Group: Development/Other
BuildArch: noarch
Requires: %name = %version-%release
Requires: %name-megaco = %version-%release
Requires: %name-odbc = %version-%release
Requires: %name-visual = %version-%release
Requires: %name-docbuilder = %version-%release
Requires: %name-common_test = %version-%release
Requires: %name-examples = %version-%release
Requires: %name-jinterface = %version-%release

%description full
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This package requires all standard %Name/OTP subpackages.


%if_with otp_debug
%package otp-modules-debug
Summary: Standard OTP modules with debug information
Group: Development/Other
BuildArch: noarch
Provides: otp-modules-debug = %version-%release
Requires: %name-otp = %version-%release
#Provides: %name-otp-modules = %version-%release

%description otp-modules-debug
Standard OTP modules with debug information.


%package megaco-modules-debug
Summary: H.248 support for %Name - modules with debug information
Group: Development/Other
BuildArch: noarch
Requires: %name-megaco = %version-%release
#Provides: %name-megaco-modules = %version-%release

%description megaco-modules-debug
Megaco (aka H.248) is a signalling protocol used in VoIP networks.
This package contains modules for Megaco with debug information.


%package visual-modules-debug
Summary: Standart visual applications for %Name - modules with debug information
Group: Development/Other
BuildArch: noarch
Requires: %name-visual = %version-%release
#Provides: %name-visual-modules = %version-%release

%description visual-modules-debug
Standard visual applications for %Name programming language.
This package contains modules for visual applications with debug
information.


%package odbc-modules-debug
Summary: ODBC support for %Name - modules with debug information
Group: Development/Other
BuildArch: noarch
Requires: %name-odbc = %version-%release
#Provides: %name-odbc-modules = %version-%release

%description odbc-modules-debug
ODBC support for %Name programming language.
This package contains modules for odbc with debug information.


%package common_test-modules-debug
Summary: A portable framework for automatic testing %Name applications - modules with debug information
Group: Development/Other
BuildArch: noarch
Requires: %name-common_test = %version-%release
#Provides: %name-common_test-modules = %version-%release

%description common_test-modules-debug
A portable framework for automatic testing %Name applications.
This package contains modules for common_test with debug information.


%package docbuilder-modules-debug
Summary: Tool for generating HTML documentation for %Name applications - modules with debug information
Group: Development/Other
BuildArch: noarch
Requires: %name-docbuilder = %version-%release
#Provides: %name-docbuilder-modules = %version-%release

%description docbuilder-modules-debug
Tool for generating HTML documentation for %Name applications.
This package contains modules for docbuilder with debug information.
%endif


%prep
%setup -n otp_src_%ver-%subver
chmod -R u+w ./
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%define _optlevel 3
%if_with icc
%add_optflags -vec-guard-write -opt-multi-version-aggressive %{?_disable_gnu_ld:-ip}
%else
%add_optflags -fno-stack-protector
%endif
export CFLAGS="%optflags"
%undefine __libtoolize
%define _configure_script ./otp_build configure
./otp_build autoconf
%configure \
    --libdir=%_libexecdir \
    %{subst_enable threads} \
    %{subst_enable_to smp smp-support} \
    %{subst_enable kernel_poll kernel-poll} \
    %{subst_enable hipe} \
    %{subst_enable_to megaco_flex_scanner_lineno megaco-flex-scanner-lineno} \
    %{subst_with ssl} \
    %{subst_with_to ssl_zlib ssl-zlib} \
    %{subst_with gmp} \
    %{subst_enable sctp} \
    %{subst_enable tsp} \
    %{subst_enable fixalloc} \
    %{subst_enable_to elib_malloc elib-malloc} \
    %{subst_enable_to hybrid_heap hybrid-heap} \
    %{subst_enable_to lock_checking lock-checking} \
    %{subst_enable_to clock_gettime clock-gettime} \
    --disable-erlang-mandir \
    %{?_with_icc:CC=icc %{?_enable_gnu_ld:LD=gcc LIBADD="-lirc"}}

%{?_without_otp_debug:subst "/^[[:blank:]]*ERL_COMPILE_FLAGS[[:blank:]]*/ s/[[:blank:]]*+debug_info//g" make/%_target_platform%_gnu/otp.mk}
%make TARGET=%_target_platform%_gnu %{?_with_icc:%{?_enable_gnu_ld:LD=gcc LIBADD="-lirc"}}

%if_with otp_debug
for d in lib/*/ebin; do
    m=$(basename $(dirname "$d"))
    if [ "$m" != "dialyzer" ]; then
	mv "$d"{,.debug}
	mkdir "$d"
    fi
done
subst "/^[[:blank:]]*ERL_COMPILE_FLAGS[[:blank:]]*/ s/[[:blank:]]*+debug_info//g" make/%_target_platform%_gnu/otp.mk
echo "Dialyzer already built" > lib/dialyzer/SKIP
%make BUILD_ALL=true TARGET=%_target_platform%_gnu %{?_with_icc:%{?_enable_gnu_ld:LD=gcc LIBADD="-lirc"}} libs
rm -f lib/dialyzer/SKIP
%endif


%install
%make_install TARGET=%_target_platform%_gnu INSTALL_PREFIX=%buildroot install

install -d -m 0755 %buildroot{%_libexecdir/%name/usr/include,%_includedir/%name}
ln -sf %buildroot%_libexecdir/%name/{erts-*/include/*.h,usr/include/}
ln -sf %buildroot{%_libexecdir/%name/usr/include,%_includedir/%name}

for l in %buildroot%_libexecdir/%name/lib/*; do
    if [ -d $l/src ]; then
	H=$(find $l/src -type f -name '*.hrl' | grep -v '.*_internal\.hrl$') ||:
	if [ -n "$H" ]; then
	    install -d -m 0755 $l/include/
	    mv $H $l/include/
	    for f in $H; do
		ln -sf $l/include/$(basename $f) $f
	    done
	    find $l/src/* -not -type l -delete
	else
	    rm -rf $l/src
	fi
    fi
done
rm -rf %buildroot%_libexecdir/%name/{lib/*/{{c,java}_src,*.mk,priv/obj},erts-*/src}
rm -f %buildroot%_libexecdir/%name/lib/*/*/*.{asn1,erl}
rm -f %buildroot%_libexecdir/%name/lib/orber-*/COSS/CosNaming/*.erl
rm -f %buildroot%_libexecdir/%name/lib/*/priv/bin/*.bat
find %buildroot -type f -name '*.src' -delete
find %buildroot -empty -delete

install -d -m 0755 %buildroot%_docdir/%name-%version
install -m 0644 AUTHORS EPLICENCE %buildroot%_docdir/%name-%version/

rm -rf %buildroot%_libexecdir/%name/{Install,misc,usr/lib}

subst 's|%buildroot||' %buildroot%_libexecdir/%name/{{,erts-*/}bin/{erl,start},releases/RELEASES}

%if_with otp_debug
for d in lib/*/ebin; do
    dm=$(dirname "$d")
    m=$(basename "$dm")
    if [ "$m" != "dialyzer" ]; then
	v=$(sed -n '/^.*_VSN[[:blank:]]*=[[:blank:]]*[[:digit:]]/s/^.*_VSN[[:blank:]]*=[[:blank:]]*//p' "$dm/vsn.mk")
	install -d -m 0755 %buildroot%_libexecdir/%name/lib/$m-$v/ebin.debug
	install -m 0644 "$d.debug"/* %buildroot%_libexecdir/%name/lib/$m-$v/ebin.debug/
    fi
done

cat > %buildroot%_libexecdir/%name/bin/erl.debug <<__EOF__
#!/bin/sh
exec %_libexecdir/%name/bin/erl -pa \$(ls -d %_libexecdir/%name/lib/*/ebin.debug) \$@
__EOF__

chmod 755 %buildroot%_libexecdir/%name/bin/erl.debug
ln -sf %buildroot%_libexecdir/%name/bin/erl.debug %buildroot%_bindir/
%endif

for f in dialyzer erl erlc escript run_erl start to_erl typer; do
    ln -sf %buildroot%_libexecdir/%name{/erts-*,}/bin/$f
done

symlinks -cdr %buildroot
symlinks -scdr %buildroot

sed 's|^ROOTDIR=|&%buildroot|' %buildroot%_bindir/erl > erl.buildroot
chmod 755 erl.buildroot
%define __erlang %buildsubdir/erl.buildroot

%add_findreq_skiplist %_libexecdir/%name/lib/megaco-*/examples/meas/*.sh.skel


%files
%dir %_docdir/%name-%version
%_docdir/%name-%version/*
%_bindir/*
%dir %_libexecdir/%name
%dir %_libexecdir/%name/bin
%_libexecdir/%name/bin/*
%_libexecdir/%name/erts-*
%_libexecdir/%name/releases
%_libexecdir/%name/usr/include
%dir %_libexecdir/%name/lib
%_libexecdir/%name/usr
%_includedir/%name
%exclude %_libexecdir/%name/bin/erl.debug
%exclude %_bindir/erl.debug


%files otp
%_libexecdir/%name/lib/*
%exclude %_libexecdir/%name/lib/megaco-*
%exclude %_libexecdir/%name/lib/appmon-*
%exclude %_libexecdir/%name/lib/common_test-*
%exclude %_libexecdir/%name/lib/dialyzer-*
%exclude %_libexecdir/%name/lib/debugger-*
%exclude %_libexecdir/%name/lib/et-*
%exclude %_libexecdir/%name/lib/gs-*
%exclude %_libexecdir/%name/lib/pman-*
%exclude %_libexecdir/%name/lib/toolbar-*
%exclude %_libexecdir/%name/lib/tv-*
%exclude %_libexecdir/%name/lib/typer-*
%exclude %_libexecdir/%name/lib/odbc-*
%exclude %_libexecdir/%name/lib/docbuilder-*
%exclude %_libexecdir/%name/lib/jinterface-*
%exclude %_libexecdir/%name/lib/*/ebin
%exclude %_libexecdir/%name/lib/*/ebin.debug
%exclude %_libexecdir/%name/lib/*/examples
%exclude %_libexecdir/%name/lib/*/contribs


%files otp-modules
%_libexecdir/%name/lib/*/ebin
%exclude %_libexecdir/%name/lib/megaco-*
%exclude %_libexecdir/%name/lib/appmon-*
%exclude %_libexecdir/%name/lib/common_test-*
%exclude %_libexecdir/%name/lib/dialyzer-*
%exclude %_libexecdir/%name/lib/debugger-*
%exclude %_libexecdir/%name/lib/et-*
%exclude %_libexecdir/%name/lib/gs-*
%exclude %_libexecdir/%name/lib/hipe-*/ebin/hipe_tool*
%exclude %_libexecdir/%name/lib/observer-*/ebin/etop*
%exclude %_libexecdir/%name/lib/observer-*/ebin/ttb_et*
%exclude %_libexecdir/%name/lib/pman-*
%exclude %_libexecdir/%name/lib/toolbar-*
%exclude %_libexecdir/%name/lib/tv-*
%exclude %_libexecdir/%name/lib/typer-*
%exclude %_libexecdir/%name/lib/odbc-*
%exclude %_libexecdir/%name/lib/docbuilder-*


%files megaco
%_libexecdir/%name/lib/megaco-*
%exclude %_libexecdir/%name/lib/megaco-*/examples
%exclude %_libexecdir/%name/lib/megaco-*/ebin
%exclude %_libexecdir/%name/lib/megaco-*/ebin.debug


%files megaco-modules
%_libexecdir/%name/lib/megaco-*/ebin


%files visual
%_libexecdir/%name/lib/appmon-*
%_libexecdir/%name/lib/debugger-*
%_libexecdir/%name/lib/dialyzer-*
%_libexecdir/%name/lib/et-*
%_libexecdir/%name/lib/gs-*
%_libexecdir/%name/lib/pman-*
%_libexecdir/%name/lib/toolbar-*
%_libexecdir/%name/lib/tv-*
%_libexecdir/%name/lib/typer-*
%exclude %_libexecdir/%name/lib/*/examples
%exclude %_libexecdir/%name/lib/*/contribs
%exclude %_libexecdir/%name/lib/*/ebin
%exclude %_libexecdir/%name/lib/*/ebin.debug


%files visual-modules
%_libexecdir/%name/lib/appmon-*/ebin
%_libexecdir/%name/lib/debugger-*/ebin
%_libexecdir/%name/lib/dialyzer-*/ebin
%_libexecdir/%name/lib/et-*/ebin
%_libexecdir/%name/lib/gs-*/ebin
%_libexecdir/%name/lib/hipe-*/ebin/hipe_tool*
%_libexecdir/%name/lib/observer-*/ebin/etop*
%_libexecdir/%name/lib/observer-*/ebin/ttb_et*
%_libexecdir/%name/lib/pman-*/ebin
%_libexecdir/%name/lib/toolbar-*/ebin
%_libexecdir/%name/lib/tv-*/ebin
%_libexecdir/%name/lib/typer-*/ebin


%files odbc
%_libexecdir/%name/lib/odbc-*
%exclude %_libexecdir/%name/lib/odbc-*/ebin
%exclude %_libexecdir/%name/lib/odbc-*/ebin.debug


%files odbc-modules
%_libexecdir/%name/lib/odbc-*/ebin


%files common_test
%_libexecdir/%name/lib/common_test-*
%exclude %_libexecdir/%name/lib/common_test-*/ebin
%exclude %_libexecdir/%name/lib/common_test-*/ebin.debug


%files common_test-modules
%_libexecdir/%name/lib/common_test-*/ebin


%files docbuilder
%_libexecdir/%name/lib/docbuilder-*
%exclude %_libexecdir/%name/lib/docbuilder-*/ebin
%exclude %_libexecdir/%name/lib/docbuilder-*/ebin.debug


%files docbuilder-modules
%_libexecdir/%name/lib/docbuilder-*/ebin


%files examples
%_libexecdir/%name/lib/*/examples
%_libexecdir/%name/lib/*/contribs


%files full


%if_with otp_debug
%files otp-modules-debug
%_libexecdir/%name/lib/*/ebin.debug
%exclude %_libexecdir/%name/lib/megaco-*
%exclude %_libexecdir/%name/lib/appmon-*
%exclude %_libexecdir/%name/lib/common_test-*
%exclude %_libexecdir/%name/lib/debugger-*
%exclude %_libexecdir/%name/lib/et-*
%exclude %_libexecdir/%name/lib/gs-*
%exclude %_libexecdir/%name/lib/hipe-*/ebin.debug/hipe_tool*
%exclude %_libexecdir/%name/lib/observer-*/ebin.debug/etop*
%exclude %_libexecdir/%name/lib/observer-*/ebin.debug/ttb_et*
%exclude %_libexecdir/%name/lib/pman-*
%exclude %_libexecdir/%name/lib/toolbar-*
%exclude %_libexecdir/%name/lib/tv-*
%exclude %_libexecdir/%name/lib/typer-*
%exclude %_libexecdir/%name/lib/odbc-*
%exclude %_libexecdir/%name/lib/docbuilder-*
%_libexecdir/%name/bin/erl.debug
%_bindir/erl.debug


%files megaco-modules-debug
%_libexecdir/%name/lib/megaco-*/ebin.debug


%files visual-modules-debug
%_libexecdir/%name/lib/appmon-*/ebin.debug
%_libexecdir/%name/lib/debugger-*/ebin.debug
%_libexecdir/%name/lib/et-*/ebin.debug
%_libexecdir/%name/lib/gs-*/ebin.debug
%_libexecdir/%name/lib/hipe-*/ebin.debug/hipe_tool*
%_libexecdir/%name/lib/observer-*/ebin.debug/etop*
%_libexecdir/%name/lib/observer-*/ebin.debug/ttb_et*
%_libexecdir/%name/lib/pman-*/ebin.debug
%_libexecdir/%name/lib/toolbar-*/ebin.debug
%_libexecdir/%name/lib/tv-*/ebin.debug
%_libexecdir/%name/lib/typer-*/ebin.debug


%files odbc-modules-debug
%_libexecdir/%name/lib/odbc-*/ebin.debug


%files common_test-modules-debug
%_libexecdir/%name/lib/common_test-*/ebin.debug


%files docbuilder-modules-debug
%_libexecdir/%name/lib/docbuilder-*/ebin.debug
%endif


%files jinterface
%_libexecdir/%name/lib/jinterface-*


%changelog
* Mon Jun 23 2008 Led <led@altlinux.ru> R12B.3-alt0.7
- fixed spec (%%files otp)

* Fri Jun 20 2008 Led <led@altlinux.ru> R12B.3-alt0.6
- moved common_test to separate packages %name-common_test*

* Thu Jun 19 2008 Led <led@altlinux.ru> R12B.3-alt0.5
- rebuild with rpm-build-%name-0.3.1

* Thu Jun 19 2008 Led <led@altlinux.ru> R12B.3-alt0.4
- rebuild with rpm-build-%name-0.3

* Thu Jun 19 2008 Led <led@altlinux.ru> R12B.3-alt0.3
- moved to *-visual* packages:
  + dialyzer
  + typer
  + observer/etop*
  + observer/ttb_et*
  + hipe/hipe_tool*
  + common_test
- moved jinterface to separate package

* Wed Jun 18 2008 Led <led@altlinux.ru> R12B.3-alt0.2
- moved observer to *-visual* packages

* Wed Jun 18 2008 Led <led@altlinux.ru> R12B.3-alt0.1
- R12B-3

* Sun Feb 24 2008 Led <led@altlinux.ru> R12B.1-alt0.4
- build with rpm-build-%name

* Sat Feb 16 2008 Led <led@altlinux.ru> R12B.1-alt0.3
- reverted system headers (links) to %_libexecdir/%name%_includedir

* Fri Feb 15 2008 Led <led@altlinux.ru> R12B.1-alt0.2
- link system header to %_includedir/%name

* Mon Feb 11 2008 Led <led@altlinux.ru> R12B.1-alt0.1
- R12B-1
- removed otp_src_R12B-0-osp1.patch (fixed in upstream)
- updated:
  + otp_src_R12B-1-alt-arch.patch
  + otp_src_R12B-1-ffi.patch

* Mon Jan 28 2008 Led <led@altlinux.ru> R12B.0-alt0.6
- updated spec for build with opt_otp only on i586/x86_64/arm
- fixed post-scripts

* Thu Jan 24 2008 Led <led@altlinux.ru> R12B.0-alt0.5
- fixed spec
- added:
  + otp_src_R12B-0-alt-arch.patch
  + otp_src_R12B-0-ffi.patch
- cleaned up:
  + otp-R12B-0-alt-include.patch
  + otp-R12B-0-configure.patch
  + otp_src_R12B-0-osp1.patch

* Sun Dec 23 2007 Led <led@altlinux.ru> R12B.0-alt0.4
- cleaned up spec
- added subpackages

* Sun Dec 23 2007 Led <led@altlinux.ru> R12B.0-alt0.3
- fixed upgrading packages

* Sat Dec 22 2007 Led <led@altlinux.ru> R12B.0-alt0.2
- moved optimized modules to %_libexecdir/%name/lib/*/ebin.opt/

* Fri Dec 21 2007 Led <led@altlinux.ru> R12B.0-alt0.1
- R12B-0
- add support to build with icc
- removed:
  + otp-R11B-5-odbcserver.patch (fixed in upstream)
- added:
  + otp-R12B-0-configure.patch
  + otp-R12B-0-link.patch
  + otp_src_R11B-5-libadd.patch
  + otp_src_R12B-0-osp1.patch
- added subpackages %name-examples, %name-otp-opt 

* Sun Nov 11 2007 Mikhail Yakshin <greycat@altlinux.org> R11B.5-alt1
- tested with ejabberd and built for Sisyphus

* Tue Oct 09 2007 Led <led@altlinux.ru> R11B.5-alt0.9
- cleaned up and fixed spec
- fixed BuildRequires

* Mon Sep 10 2007 Led <led@altlinux.ru> R11B.5-alt0.8
- added new rpm macros

* Fri Sep 07 2007 Led <led@altlinux.ru> R11B.5-alt0.7
- reverted non-internal headers to %_libexecdir/%name/lib/*/ as symlinks

* Thu Sep 06 2007 Led <led@altlinux.ru> R11B.5-alt0.6
- added additional *.hrl files

* Wed Sep 05 2007 Led <led@altlinux.ru> R11B.5-alt0.5
- cleaned up sources in packages

* Tue Aug 28 2007 Led <led@altlinux.ru> R11B.5-alt0.4
- added rpm macros

* Mon Aug 27 2007 Led <led@altlinux.ru> R11B.5-alt0.3
- moved libs from %%_libdir to %%_libexecdir

* Fri Aug 17 2007 Led <led@altlinux.ru> R11B.5-alt0.2
- added otp-R11B-5-odbcserver.patch (fixed #12576)

* Tue Jun 26 2007 Led <led@altlinux.ru> R11B.5-alt0.1
- R11B-5
- added %name-docbuilder subpackage

* Tue Jun 05 2007 Led <led@altlinux.ru> R11B.4-alt0.1
- R11B-4
- cleaned up spec
- removed docs
- removed emacs-mode-%name
- added patches from FC7
- used gcj

* Tue Feb 20 2007 Mikhail Yakshin <greycat@altlinux.ru> R11B-alt2
- Fixed x86_64 build

* Sat Feb 10 2007 Mikhail Yakshin <greycat@altlinux.org> R11B-alt1
- R11B-3

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> R10B.10-alt2.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Thu Oct 12 2006 Alex V. Myltsev <avm@altlinux.ru> R10B.10-alt2
- Merged with alb's version from backports.
- Applied the 'new glibc' patch.
- Moved zlib.3.gz to erl_zlib.3.gz.
- Moved Megaco to a separate package..

* Thu Sep 07 2006 Alexey Borovskoy <alb@altlinux.ru> R11B.1-alt0.M24.1
- New release (R11B-1).

* Wed Mar 22 2006 Alexey Borovskoy <alb@altlinux.ru> R10B.10-alt0.M24.1
- New release (R10B-10).

* Mon Dec 19 2005 Alexey Borovskoy <alb@altlinux.ru> R10B.9-alt0.M24.1
- New release (R10B-9).

* Sun Oct 30 2005 Alexey Borovskoy <alb@altlinux.ru> R10B.8-alt0.M24.2
- Add ODBC support.

* Fri Oct 28 2005 Alexey Borovskoy <alb@altlinux.ru> R10B.8-alt0.M24.1
- New release (R10B-8).
- Add patch for disable static linking with zlib. Does not work and disabled.
- Add zlib-devel buildtime dependency. But dymamic linking with zlib not
  supported in erts/emulator/dirvers/common/gzio.c due using private zutil.h.
- Remove --enable-threads due erl segfault.

* Thu Sep 08 2005 Alexey Borovskoy <alb@altlinux.ru> R10B.7-alt0.M24.1
- New release (R10B-7)

* Wed Aug 10 2005 Alexey Borovskoy <alb@altlinux.ru> R10B.6-alt0.M24.1
- New release (R10B-6)

* Wed May 11 2005 Alexey Borovskoy <alb@altlinux.ru> R10B.4-alt0.M24.1
- New release (R10B-4)
- Split to subpackages:
  + manual
    For manual in HTML
  + manpages
    For manpages
  + visual
    For visual apps that requires tk/tcl
  + emacs-mode-erlang
    For Emacs mode

* Tue Nov 02 2004 Plugnikov A. Mike <amike@altlinux.ru> R10B.0-alt1
- New version (R10B)
- Merged upstream patches:
  patch-lib_stdlib_src_dets__v9
  erlang_ssl_broker
- Fix spec

* Sat May 15 2004 Ott Alex <ott@altlinux.ru> R9C.0-alt3
- Fix build process

* Sun Feb 22 2004 Ott Alex <ott@altlinux.ru> R9C.0-alt2
- Added some fixes from freebsd ports (thanks to Ermine!)
- Build without tcl/tk & java

* Wed Dec 10 2003 Ott Alex <ott@altlinux.ru> R9C.0-alt1
- Initial build for ALTLinux
